package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 库房对象 t_kufang
 * 
 * @author ruoyi
 * @date 2024-02-20
 */
public class TKufang extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 库房名称 */
    @Excel(name = "库房名称")
    private String kfName;

    /** 库房位置 */
    @Excel(name = "库房位置")
    private String kfAddress;

    /** 库房管理员 */
    @Excel(name = "库房管理员")
    private Long kfAdmin;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setKfName(String kfName) 
    {
        this.kfName = kfName;
    }

    public String getKfName() 
    {
        return kfName;
    }
    public void setKfAddress(String kfAddress) 
    {
        this.kfAddress = kfAddress;
    }

    public String getKfAddress() 
    {
        return kfAddress;
    }
    public void setKfAdmin(Long kfAdmin) 
    {
        this.kfAdmin = kfAdmin;
    }

    public Long getKfAdmin() 
    {
        return kfAdmin;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("kfName", getKfName())
            .append("kfAddress", getKfAddress())
            .append("kfAdmin", getKfAdmin())
            .append("createTime", getCreateTime())
            .toString();
    }
}
